> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /wttj/jobs

> Get a single Welcome to the Jungle job posting by its URL or '{company_slug}/{job_slug}'. Returns the title, full HTML description and candidate profile, contract type, remote policy, salary range, contract duration, experience and education levels, profession (category and sub-category), sectors, skills, tools, key missions, benefits, office locations with geo coordinates, the application URL, the embedded company profile and publication dates.

**Price:** 1 credit

**⚠️ Common errors:** 412: Job posting not found



## OpenAPI

````yaml /openapi/jobs.json post /api/wttj/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/wttj/jobs:
    post:
      tags:
        - /wttj
      summary: /wttj/jobs
      description: >-
        Get a single Welcome to the Jungle job posting by its URL or
        '{company_slug}/{job_slug}'. Returns the title, full HTML description
        and candidate profile, contract type, remote policy, salary range,
        contract duration, experience and education levels, profession (category
        and sub-category), sectors, skills, tools, key missions, benefits,
        office locations with geo coordinates, the application URL, the embedded
        company profile and publication dates.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Job posting not found
      operationId: __api_wttj_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WttjJobsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WttjJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WttjJobsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        job:
          type: string
          minLength: 1
        language:
          $ref: '#/components/schemas/WttjLanguage'
          default: en
      type: object
      required:
        - job
    WttjJob:
      properties:
        '@type':
          type: string
          default: WttjJob
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        reference:
          anyOf:
            - type: string
            - type: 'null'
        wttj_reference:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        profile:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        company_description:
          anyOf:
            - type: string
            - type: 'null'
        contract_type:
          anyOf:
            - type: string
            - type: 'null'
        remote:
          anyOf:
            - type: string
            - type: 'null'
        salary_min:
          anyOf:
            - type: integer
            - type: 'null'
        salary_max:
          anyOf:
            - type: integer
            - type: 'null'
        salary_currency:
          anyOf:
            - type: string
            - type: 'null'
        salary_period:
          anyOf:
            - type: string
            - type: 'null'
        salary_yearly_min:
          anyOf:
            - type: integer
            - type: 'null'
        contract_duration_min:
          anyOf:
            - type: integer
            - type: 'null'
        contract_duration_max:
          anyOf:
            - type: integer
            - type: 'null'
        experience_level:
          anyOf:
            - type: string
            - type: 'null'
        education_level:
          anyOf:
            - type: string
            - type: 'null'
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        profession:
          anyOf:
            - $ref: '#/components/schemas/WttjProfession'
            - type: 'null'
        sectors:
          items:
            $ref: '#/components/schemas/WttjSectorEntity'
          type: array
          default: []
        skills:
          items:
            type: string
          type: array
          default: []
        tools:
          items:
            type: string
          type: array
          default: []
        benefits:
          items:
            type: string
          type: array
          default: []
        office:
          anyOf:
            - $ref: '#/components/schemas/WttjOffice'
            - type: 'null'
        offices:
          items:
            $ref: '#/components/schemas/WttjOffice'
          type: array
          default: []
        videos:
          items:
            $ref: '#/components/schemas/WttjVideo'
          type: array
          default: []
        apply_url:
          anyOf:
            - type: string
            - type: 'null'
        ats:
          anyOf:
            - type: string
            - type: 'null'
        has_external_ats:
          anyOf:
            - type: boolean
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        social_image:
          anyOf:
            - type: string
            - type: 'null'
        organization:
          anyOf:
            - $ref: '#/components/schemas/WttjOrganization'
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WttjLanguage:
      type: string
      enum:
        - cs
        - en
        - es
        - fr
        - sk
    WttjProfession:
      properties:
        '@type':
          type: string
          default: WttjProfession
        category_name:
          anyOf:
            - type: string
            - type: 'null'
        category_reference:
          anyOf:
            - type: string
            - type: 'null'
        sub_category_name:
          anyOf:
            - type: string
            - type: 'null'
        sub_category_reference:
          anyOf:
            - type: string
            - type: 'null'
        pivot_name:
          anyOf:
            - type: string
            - type: 'null'
        pivot_reference:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    WttjSectorEntity:
      properties:
        '@type':
          type: string
          default: WttjSectorEntity
        name:
          anyOf:
            - type: string
            - type: 'null'
        reference:
          anyOf:
            - type: string
            - type: 'null'
        parent_name:
          anyOf:
            - type: string
            - type: 'null'
        parent_reference:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    WttjOffice:
      properties:
        '@type':
          type: string
          default: WttjOffice
        address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        district:
          anyOf:
            - type: string
            - type: 'null'
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        is_headquarter:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    WttjVideo:
      properties:
        '@type':
          type: string
          default: WttjVideo
        name:
          anyOf:
            - type: string
            - type: 'null'
        reference:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        external_reference:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    WttjOrganization:
      properties:
        '@type':
          type: string
          default: WttjOrganization
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        reference:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        sectors:
          items:
            $ref: '#/components/schemas/WttjSectorEntity'
          type: array
          default: []
        employee_count:
          anyOf:
            - type: integer
            - type: 'null'
        creation_year:
          anyOf:
            - type: integer
            - type: 'null'
        job_count:
          anyOf:
            - type: integer
            - type: 'null'
        revenue:
          anyOf:
            - type: string
            - type: 'null'
        average_age:
          anyOf:
            - type: integer
            - type: 'null'
        website_url:
          anyOf:
            - type: string
            - type: 'null'
        equality_index:
          anyOf:
            - $ref: '#/components/schemas/WttjEqualityIndex'
            - type: 'null'
        labels:
          items:
            type: string
          type: array
          default: []
        headquarter:
          anyOf:
            - $ref: '#/components/schemas/WttjOffice'
            - type: 'null'
        media_linkedin:
          anyOf:
            - type: string
            - type: 'null'
        media_twitter:
          anyOf:
            - type: string
            - type: 'null'
        media_facebook:
          anyOf:
            - type: string
            - type: 'null'
        media_instagram:
          anyOf:
            - type: string
            - type: 'null'
        media_youtube:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    WttjEqualityIndex:
      properties:
        '@type':
          type: string
          default: WttjEqualityIndex
        equality_index:
          anyOf:
            - type: integer
            - type: 'null'
        gender_pay_gap:
          anyOf:
            - type: integer
            - type: 'null'
        gap_in_promotions:
          anyOf:
            - type: integer
            - type: 'null'
        gap_in_annual_raises:
          anyOf:
            - type: integer
            - type: 'null'
        maternity_leave_return_raise:
          anyOf:
            - type: integer
            - type: 'null'
        equality_among_highest_earners:
          anyOf:
            - type: integer
            - type: 'null'
        workforce_range:
          anyOf:
            - type: string
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        published:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````